Bug 14934 - es_CL: wrong first weekday chilean locale
Summary: es_CL: wrong first weekday chilean locale
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: 2.16
: P2 minor
Target Milestone: 2.24
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-08 23:56 UTC by Pablo Olmos de Aguilera C.
Modified: 2016-04-23 07:10 UTC (History)
5 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
update start week|work day to monday (209 bytes, patch)
2012-12-08 23:56 UTC, Pablo Olmos de Aguilera C.
Details | Diff
CLDR es_CL (1.25 KB, text/xml)
2013-02-19 16:52 UTC, Chris Leonard
Details
chilean calendar, for reference (379.80 KB, image/jpeg)
2013-02-19 18:08 UTC, hel.sheep
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo Olmos de Aguilera C. 2012-12-08 23:56:21 UTC
Created attachment 6775 [details]
update start week|work day to monday

The first week/work day in Chile is actually monday, not sunday. I found a "workaround" in arch linux forums[1], looking around similar issues it actually looks like it's the 'correct' solution, so I'm attaching a tiny patch. Hope it helps.

If there's anything else I can do, please tell me (:

[1]: https://wiki.archlinux.org/index.php/Locale#Setting_the_first_day_of_the_week
Comment 1 Petr Baudis 2013-02-16 00:10:29 UTC
Thanks for the patch. We would just like some configuration that the first day is indeed Monday. Could you please take a look at

http://sourceware.org/glibc/wiki/Contribution%20checklist#Qualification_.28Locales.29

and provide some reference for that fact?
Comment 2 Pablo Olmos de Aguilera C. 2013-02-16 00:35:50 UTC
I don't know where to find "official" information... the only "close" thing is this:

http://www.cuandoenelmundo.com/calendario/chile/2013

If you have any other idea on how I can confirm this please tell me.
Comment 3 Petr Baudis 2013-02-16 00:49:08 UTC
Well, that web calendar shows Monday as the first day of week e.g. for USA as well, so it's not very convincing. :-)

Examples of references might be Chile-specific/local calendars (web-based or photos of classic wall calendars), some Chilean websites where all days of week are listed in order, etc.
Comment 4 Carlos O'Donell 2013-02-19 15:47:00 UTC
(In reply to comment #3)
> Well, that web calendar shows Monday as the first day of week e.g. for USA as
> well, so it's not very convincing. :-)
> 
> Examples of references might be Chile-specific/local calendars (web-based or
> photos of classic wall calendars), some Chilean websites where all days of week
> are listed in order, etc.

Does CLDR have any information for es_CL?

Cheers,
Carlos.

P.S. Petr, Thanks for looking at these! Poke me if you need help, and thanks for looking at BZ#10580 and BZ#14892. Making incremental progress is important :-)
Comment 5 Chris Leonard 2013-02-19 16:52:28 UTC
Created attachment 6880 [details]
CLDR es_CL

Nothing informative in CLDR es_CL.xml in reference to days
Comment 6 hel.sheep 2013-02-19 16:59:50 UTC
I've also found this bug.

I've looked around, and there doesn't seem to be any official decree or law concerning monday as the start of the week, but I've found that sunday is indeed regarded as an official holiday, as per laws 1990[1], that says:

>  ART. 2.° El dia de descanso será el domingo, salvo convenio espreso en 
> contrario; i en este caso, el dia de descanso podrá ser único para todos los 
> individuos o turnado para no paralizar la marcha del trabajo.

(trans: Art. 2nd. The day for rest will be sunday, unless explicit agreement against it; and in this case, the day for rest might be the same for all individuals or in turns in order not to stop labour.

and law 2977, 

> Artículo 1°. Desde la fecha de la presente lei, solo se considerarán como 
> feriados los dias siguientes:
>    1° Los domingos de todo el año.
> ...

(trans. Art 1st: Since the date of the present law, only the following days will be regarded as holidays: 1st, sundays all year long.)

At [3] there is a list of all the laws and decrees concerning holidays in Chile.

Chilean Labor Code [4] agrees with what's been said above. See Book I, Chapter IV, Parragraph 4th, Arts. 35 and following:

>  Art. 35: Los días domingo y aquellos que la ley declare festivos serán de 
> descanso, salvo respecto de las actividades autorizadas por ley para trabajar 
> en esos días.
  
(trans. Art 35: Sundays and those days declared as holidays by law will be days of rest, excepting activities authorized by law...)

Article 36 seems to me to imply that Monday can be regarded as the official start of the work week:

> El descanso y las obligaciones y prohibiciones establecidas al respecto en 
> los dos artículos anteriores empezarán a más tardar a las 21 horas del día 
> anterior al domingo o festivo y terminarán a las 6 horas del día siguiente de 
> éstos, salvo las alteraciones horarias que se produzcan con motivo de la 
> rotación en los turnos de trabajo.

(trans. Rest, obligations and prohibitions established concerning both articles above will begin at the latest at 21:00 the day before sunday or holiday, and will end at 06:00 the following day, excepting alterations caused by rotation in working shifts.) Since sunday is always an official holiday, and work always resumes the day following it (unless agreed otherwise), it seems to me that monday can be regarded as the start of the working week. This is just my interpretation of all this, though, IANAL.

This [5] article on the chilean Direccion del Trabajo (the government entity that is in charge of labor) website seems to agree with this:

> Conforme lo prescribe el artículo 35 del Código del Trabajo, los días domingo > y aquellos que la ley declara festivos son de descanso. De esta manera, las 
> partes pueden convenir que la jornada de trabajo se distribuya en cinco o en 
> seis días, pero al séptimo el dependiente necesariamente deberá descansar, 
> día éste que deberá recaer en día domingo.

(trans. As prescribd in article 35 of the Labor Code, sundays and those days the law regards as holidays are for rest. This way, the parts can convene the working shift be distributed in five or six days, but at the seventh the dependent must necessarily rest, and this day has to fall on sunday.)

Hope this all helps build the case for making this change in the es_CL locale.

Regards.

[1]: http://www.leychile.cl/Navegar?idNorma=23052&idParte=&idVersion=1907-08-29
[2]: http://www.leychile.cl/Navegar?idNorma=23639&idParte=&idVersion=1915-02-01
[3]: http://www.farah.cl/Feriados/normas.html
[4]: http://www.dt.gob.cl/legislacion/1611/articles-95516_recurso_1.pdf
[5]: http://www.dt.gob.cl/consultas/1613/w3-article-60249.html
Comment 7 Petr Baudis 2013-02-19 17:21:19 UTC
Thank you for the research! Unfortunately, it's a little tangential; the official and work week do not necessarily need to be aligned. In the most balatant example, US has Sunday has a holiday and Monday as start of the work week, but Sunday as start of the week. Portugese is probably the same.
Comment 8 keld@keldix.com 2013-02-19 17:44:30 UTC
On Tue, Feb 19, 2013 at 05:21:19PM +0000, pasky at ucw dot cz wrote:
> http://sourceware.org/bugzilla/show_bug.cgi?id=14934
> 
> --- Comment #7 from Petr Baudis <pasky at ucw dot cz> 2013-02-19 17:21:19 UTC ---
> Thank you for the research! Unfortunately, it's a little tangential; the
> official and work week do not necessarily need to be aligned. In the most
> balatant example, US has Sunday has a holiday and Monday as start of the work
> week, but Sunday as start of the week. Portugese is probably the same.

One way to document the start of the week is to find calendars and then
see how they mark the weeks. You can then document it by taking 
pictures of  each calendar. EG yearly calendars are often given out
for free by banks in my country, and book sellers also sell calendars, which 
you could probably get to make a photo of. 

Also , how are your weeks numbered? This is also info available
in calendars. In my country week numbers are very much used.
Most countries use ISO 8601, where the week start on a Monday. 
It is mostly English and arabic speaking countries that do otherwise.

best regards
Keld
Comment 9 hel.sheep 2013-02-19 17:59:53 UTC
Yes, I agree. This is as far as chilean law goes, I'm afraid. Could the info I gathered still help in providing a reference for the value of start_weekday, if not for start_workday? (Indeed, the problem I was having --gnome shell's calendar displayed the wrong start of the week-- is solved simply by setting the value of start_weekday.)
Comment 10 hel.sheep 2013-02-19 18:08:35 UTC
Created attachment 6882 [details]
chilean calendar, for reference

I'm afraid I only had this calendar at hand home, so more reference might be needed. I hope someone can provide it. However, this is a typical calendar as used here. Week numbers are mostly not used in Chile, in my experience.

Sadly, a web search for calendars hosted in chilean websites gives conflicting results...

http://becascreditos.cl/wp-content/uploads/2011/02/Calendario-2011-Chile-con-Feriados-para-Imprimir1.jpg
http://www.mac.uchile.cl/exposiciones/2009/28_bienal_sao_paulo/programacion_academia_abierta.html
http://oeste.colegioterraustral.cl/archives/2072
Comment 11 Pablo Olmos de Aguilera C. 2013-02-19 19:34:07 UTC
On 19 February 2013 14:08, hel.sheep at gmail dot com
<sourceware-bugzilla@sourceware.org> wrote:
> http://sourceware.org/bugzilla/show_bug.cgi?id=14934
>
> --- Comment #10 from hel.sheep at gmail dot com 2013-02-19 18:08:35 UTC ---
> Created attachment 6882 [details]
>   --> http://sourceware.org/bugzilla/attachment.cgi?id=6882
> chilean calendar, for reference
>
> I'm afraid I only had this calendar at hand home, so more reference might be
> needed. I hope someone can provide it. However, this is a typical calendar as
> used here. Week numbers are mostly not used in Chile, in my experience.
>
> Sadly, a web search for calendars hosted in chilean websites gives conflicting
> results...

Besides living here for 26 years, I don't know what better proofI can
give to say that we use sunday as the last day of the week. It's weird
when you pick a system with linux (that uses the glibc locale) only to
find that you have to hard-code something. Ubuntu and other operating
systems (like windows) fix that issue by starting the week day on
monday. Can windows be enough proof?

I'll try to take photos to calendars so we can get some.

As Hal said before, we don't usually use weeks number and the web
search doesn't help at all.

Regards!
Comment 12 Petr Baudis 2013-02-19 20:27:39 UTC
Accounts from various Chilean people are also very valuable for us. As far as I can see, there has been only one contradicting example so far, so I'm inclined to accept the patch if noone disagrees soon.
Comment 13 Jackie Rosen 2014-02-16 19:22:40 UTC
*** Bug 260998 has been marked as a duplicate of this bug. ***
Seen from the domain http://volichat.com
Page where seen: http://volichat.com/adult-chat-rooms
Marked for reference. Resolved as fixed @bugzilla.
Comment 14 Tiago Silva 2014-11-07 18:05:39 UTC
(In reply to Petr Baudis from comment #7)
> Thank you for the research! Unfortunately, it's a little tangential; the
> official and work week do not necessarily need to be aligned. In the most
> balatant example, US has Sunday has a holiday and Monday as start of the
> work week, but Sunday as start of the week. Portuguese is probably the same.

In the pt_PT locale, Monday starts both week and work week.

What you said could be true for the pt_BR locale, but I am unsure since I'm not Brazilian. 

(In reply to keld@keldix.com from comment #8)
> 
> One way to document the start of the week is to find calendars and then
> see how they mark the weeks. You can then document it by taking 
> pictures of  each calendar. EG yearly calendars are often given out
> for free by banks in my country, and book sellers also sell calendars, which 
> you could probably get to make a photo of.

In my country christian groups and almanacs that deal with religious cycles publish calendars that start with Sunday as the first day of the week, but Monday starts both week and work week.
Comment 15 Mike Frysinger 2016-04-16 07:37:55 UTC
should be fixed by:
  https://sourceware.org/ml/libc-alpha/2016-04/msg00419.html